#include <Servo.h>
Servo servo;

#define IN1 3
#define IN2 7  
#define IN3 8
#define IN4 12 
#define ENA 10
#define ENB 11
#define ledL 4
#define ledR 5

float timeOnLine = 0;
float timePerek;
float onPerek;
int numPerek = -1;

void setup() {
  pinMode(IN1, OUTPUT);
  pinMode(IN2, OUTPUT);
  pinMode(IN3, OUTPUT);
  pinMode(IN4, OUTPUT);
  pinMode(ENA, OUTPUT);
  pinMode(ENB, OUTPUT);

  pinMode(ledL, INPUT);
  pinMode(ledR, INPUT);
  servo.attach(9);

  timeOnLine = millis();
  Serial.begin(9600);
  servo.write(0);
}

void loop() {
  if (digitalRead(ledL) && digitalRead(ledR)) {
    if(millis() - timePerek > 1000      numPerek++;
    }
    
    analogWrite(ENA, 255);
    analogWrite(ENB, 255);
  } else {4
    if (digitalRead(ledR)) {
      timeOnLine = millis();
      analogWrite(ENB, 0);
      analogWrite(ENA, 255);
    } else {
      if (millis() - timeOnLine > 500) {
        analogWrite(ENA, 0);
        analogWrite(ENB, 0);
        digitalWrite(IN1, HIGH);
        digitalWrite(IN2, HIGH);
        digitalWrite(IN3, HIGH);
        digitalWrite(IN4, HIGH);

        for(int i = 0; i < numPerek; i++){
          servo.write(90);
          delay(200);
          servo.write(0);
          delay(500);
        }

        while(true){;}
      }
      
      analogWrite(ENB, 255);
      analogWrite(ENA, 0);
    }
  }

  digitalWrite(IN1, HIGH);
  digitalWrite(IN2, LOW);
  digitalWrite(IN3, HIGH);
  digitalWrite(IN4, LOW);
}
